# Issuing Token Design

The Issuing Token Design resource represents the visual design used to display a tokenized card in a digital wallet.

Designs include the card artwork shown in the wallet app.

You can retrieve available token designs and download their PDF files.

### The Issuing Token Design object

**Attributes**

| Name | Type | Description |
| --- | --- | --- |
| `id` | STRING | Unique identifier for the issuing token design. |
| `name` | STRING | Name of the token design. |
| `created` | STRING | Creation datetime. Example: "2022-01-01T00:00:00.000000+00:00". |
| `updated` | STRING | Last update datetime. Example: "2022-01-01T00:00:00.000000+00:00". |

### List Issuing Token Designs

`GET /v2/issuing-token-design`

Get a list of available issuing token designs for your workspace.

**Parameters**

| Name | Required | Description |
| --- | --- | --- |
| `limit` | OPTIONAL | Number of results per cursor. Max = 100. |
| `cursor` | OPTIONAL | String used to get the next batch of results. Our SDKs handle this for you. |
| `ids` | OPTIONAL | List of strings to get specific entities by ids. |

**Request**

```python
import starkinfra

designs = starkinfra.issuingtokendesign.query(limit=10)

for design in designs:
    print(design)
```

**Response**

```python
IssuingTokenDesign(
    id=5715709195239424,
    name=Apple Pay Card Art,
    created=2022-01-01 00:00:00,
    updated=2022-01-01 00:00:00
)
```

### Get an Issuing Token Design

`GET /v2/issuing-token-design/:id`

Get a single issuing token design by its id.

**Parameters**

| Name | Required | Description |
| --- | --- | --- |
| `id` | REQUIRED | Id of the issuing token design entity. |

**Request**

```python
import starkinfra

design = starkinfra.issuingtokendesign.get("5715709195239424")

print(design)
```

**Response**

```python
IssuingTokenDesign(
    id=5715709195239424,
    name=Apple Pay Card Art,
    created=2022-01-01 00:00:00,
    updated=2022-01-01 00:00:00
)
```

### Get an Issuing Token Design PDF

`GET /v2/issuing-token-design/:id/pdf`

Get the PDF file for a specific issuing token design. This file is used to represent the card in digital wallets.

**Parameters**

| Name | Required | Description |
| --- | --- | --- |
| `id` | REQUIRED | Id of the issuing token design entity. |

**Request**

```python
import starkinfra

pdf = starkinfra.issuingtokendesign.pdf("5715709195239424")

with open("token-design.pdf", "wb") as f:
    f.write(pdf)
```

**Response**

```python
b'%PDF-1.4 ...' # Binary PDF content
```

## Available Languages

Code samples on this page are in Python. The same content is available with samples in:

- [Python](https://docs.starkinfra.com/api/v2/issuing-token-design-python.md)
- [Node.js](https://docs.starkinfra.com/api/v2/issuing-token-design-node.md)
- [PHP](https://docs.starkinfra.com/api/v2/issuing-token-design-php.md)
- [Java](https://docs.starkinfra.com/api/v2/issuing-token-design-java.md)
- [Ruby](https://docs.starkinfra.com/api/v2/issuing-token-design-ruby.md)
- [Elixir](https://docs.starkinfra.com/api/v2/issuing-token-design-elixir.md)
- [.NET](https://docs.starkinfra.com/api/v2/issuing-token-design-dotnet.md)
- [Go](https://docs.starkinfra.com/api/v2/issuing-token-design-go.md)
- [Clojure](https://docs.starkinfra.com/api/v2/issuing-token-design-clojure.md)
- [cURL](https://docs.starkinfra.com/api/v2/issuing-token-design-curl.md)
